aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-11-02 12:41:52 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2019-11-13 15:45:11 +0000
commitcf0416455456e93e1ae1759a0a7f06a15e070a8c (patch)
tree185eb8be5dd9e68f99f564afd28da7b1f9fd43fb
parent32815772088f39363d7d8d1123d077851502a5e6 (diff)
downloadaports-cf0416455456e93e1ae1759a0a7f06a15e070a8c.tar.gz
aports-cf0416455456e93e1ae1759a0a7f06a15e070a8c.tar.bz2
aports-cf0416455456e93e1ae1759a0a7f06a15e070a8c.tar.xz
main/s6-dns: upgrade to 2.3.1.1
-rw-r--r--main/s6-dns/APKBUILD19
1 files changed, 12 insertions, 7 deletions
diff --git a/main/s6-dns/APKBUILD b/main/s6-dns/APKBUILD
index 5bd2db48f6..5281e1b63b 100644
--- a/main/s6-dns/APKBUILD
+++ b/main/s6-dns/APKBUILD
@@ -1,8 +1,8 @@
# Maintainer: Laurent Bercot <ska-devel@skarnet.org>
# Contributor: John Regan <john@jrjrtech.com>
pkgname=s6-dns
-pkgver=2.3.0.2
-pkgrel=1
+pkgver=2.3.1.1
+pkgrel=0
pkgdesc="skarnet.org's DNS client libraries and command-line DNS client utilities"
url="http://skarnet.org/software/$pkgname/"
arch="all"
@@ -10,9 +10,8 @@ license="ISC"
depends="skalibs"
options="!check"
makedepends="skalibs-dev"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-builddir="$srcdir/"$pkgname-$pkgver
+subpackages="$pkgname-static $pkgname-dev $pkgname-doc"
+source="http://skarnet.org/software/s6-dns/s6-dns-$pkgver.tar.gz"
build() {
cd "$builddir"
@@ -21,7 +20,8 @@ build() {
--enable-static \
--disable-allstatic \
--prefix=/usr \
- --libexecdir="/usr/lib/$package" \
+ --libdir=/usr/lib \
+ --libexecdir="/usr/lib/$pkgname" \
--with-dynlib=/lib
make
}
@@ -37,4 +37,9 @@ doc() {
cp -a "$builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
}
-sha512sums="fec0edf852423bf8f717fcdc3c00c8f38e7bab4d9a03d14e6e81ad3f175b5db57be44409761bbd990f56f81c3ae8e0aa76ab8c5b65fec823a0ce392bf41cdf33 s6-dns-2.3.0.2.tar.gz"
+static() {
+ default_static
+ rmdir -p "$pkgdir"/usr/lib/"$pkgname" || :
+}
+
+sha512sums="e69ee16cb16139d344255adc4bb92bd73003464925bbd2df893e3b922add155308b547274a66e3f20a5d3c0310c8fadc877b656753299ff9a269b4e25c26f7a9 s6-dns-2.3.1.1.tar.gz"